import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.credits.getUsage({ customerId: 'customerId' });
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.credits.get_usage(
customer_id="customerId",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Credits.GetUsage(context.TODO(), stigg.V1CreditGetUsageParams{
CustomerID: "customerId",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.CreditGetUsageParams;
import io.stigg.models.v1.credits.CreditGetUsageResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CreditGetUsageParams params = CreditGetUsageParams.builder()
.customerId("customerId")
.build();
CreditGetUsageResponse response = client.v1().credits().getUsage(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.credits.get_usage(customer_id: "customerId")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits;
StiggClient client = new();
CreditGetUsageParams parameters = new() { CustomerID = "customerId" };
var response = await client.V1.Credits.GetUsage(parameters);
Console.WriteLine(response);stigg v1:credits get-usage \
--api-key 'My API Key' \
--customer-id customerIdcurl --request GET \
--url https://api.stigg.io/api/v1/credits/usage \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/credits/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"series": [
{
"featureId": "feature-tokens",
"featureName": "API Tokens",
"totalCredits": 1500,
"eventCount": 60,
"points": [
{
"timestamp": "2024-01-01T00:00:00.000Z",
"value": 500,
"eventCount": 20
},
{
"timestamp": "2024-01-02T00:00:00.000Z",
"value": 750,
"eventCount": 30
},
{
"timestamp": "2024-01-03T00:00:00.000Z",
"value": 250,
"eventCount": 10
}
]
}
],
"currency": {
"currencyId": "credits",
"displayName": "Credits",
"symbol": null,
"singular": "credit",
"plural": "credits"
},
"pagination": {
"next": null,
"prev": null
}
}
}{
"message": "<string>",
"code": "BadUserInput"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "CustomerNotFound"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Get credit usage
Retrieves credit usage time-series data for a customer, grouped by feature, over a specified time range.
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.credits.getUsage({ customerId: 'customerId' });
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.credits.get_usage(
customer_id="customerId",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Credits.GetUsage(context.TODO(), stigg.V1CreditGetUsageParams{
CustomerID: "customerId",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.CreditGetUsageParams;
import io.stigg.models.v1.credits.CreditGetUsageResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CreditGetUsageParams params = CreditGetUsageParams.builder()
.customerId("customerId")
.build();
CreditGetUsageResponse response = client.v1().credits().getUsage(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.credits.get_usage(customer_id: "customerId")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits;
StiggClient client = new();
CreditGetUsageParams parameters = new() { CustomerID = "customerId" };
var response = await client.V1.Credits.GetUsage(parameters);
Console.WriteLine(response);stigg v1:credits get-usage \
--api-key 'My API Key' \
--customer-id customerIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Query Parameters
Maximum number of items to return
1 <= x <= 100Return items that come after this cursor
255Return items that come before this cursor
255Filter by customer ID (required)
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$Filter by resource ID
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Filter by currency ID
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Time range for usage data (LAST_DAY, LAST_WEEK, LAST_MONTH, LAST_YEAR). Defaults to LAST_MONTH
LAST_DAY, LAST_WEEK, LAST_MONTH, LAST_YEAR Start date for the credit usage time range (ISO 8601). Takes precedence over timeRange when provided
End date for the credit usage time range (ISO 8601). Defaults to now when startDate is provided
Comma-separated list of feature dimension keys to group usage series by (up to 3). Each key matches /^[a-zA-Z0-9_$-]+$/
255Response
Credit usage data with time-series points per feature.
Response object
Credit usage data grouped by feature with time-series points
Show child attributes
Show child attributes
